osgSim::LightPoint Class Reference

`#include <LightPoint>`

## Public Types

enum | BlendingMode { ADDITIVE , BLENDED }

## Public Member Functions

| LightPoint ()
| LightPoint (const osg::Vec3 &position, const osg::Vec4 &color)
| LightPoint (bool on, const osg::Vec3 &position, const osg::Vec4 &color, float intensity=1.0f, float radius=1.0f, Sector *sector=0, BlinkSequence *blinkSequence=0, BlendingMode blendingMode=BLENDED)
| LightPoint (const LightPoint &lp)
LightPoint & | operator= (const LightPoint &lp)

## Public Attributes

bool | _on
osg::Vec3 | _position
osg::Vec4 | _color
float | _intensity
float | _radius
osg::ref_ptr< Sector > | _sector
osg::ref_ptr< BlinkSequence > | _blinkSequence
BlendingMode | _blendingMode

## Member Enumeration Documentation

## BlendingMode

enum osgSim::LightPoint::BlendingMode

Enumerator
ADDITIVE |
BLENDED |

## Constructor & Destructor Documentation

## LightPoint() [1/4]

osgSim::LightPoint::LightPoint | ( |  | ) |

Referenced by LightPoint(), and operator=().

## LightPoint() [2/4]

osgSim::LightPoint::LightPoint | ( | const osg::Vec3 & | position,
|  | const osg::Vec4 & | color )

## LightPoint() [3/4]

osgSim::LightPoint::LightPoint | ( | bool | on,
|  | const osg::Vec3 & | position,
|  | const osg::Vec4 & | color,
|  | float | intensity = 1.0f,
|  | float | radius = 1.0f,
|  | Sector * | sector = 0,
|  | BlinkSequence * | blinkSequence = 0,
|  | BlendingMode | blendingMode = BLENDED )

References BLENDED.

## LightPoint() [4/4]

osgSim::LightPoint::LightPoint | ( | const LightPoint & | lp | ) |

References LightPoint().

## Member Function Documentation

## operator=()

LightPoint & osgSim::LightPoint::operator= | ( | const LightPoint & | lp | ) |

References LightPoint().

## Member Data Documentation

## _blendingMode

BlendingMode osgSim::LightPoint::_blendingMode

## _blinkSequence

osg::ref_ptr<BlinkSequence> osgSim::LightPoint::_blinkSequence

## _color

osg::Vec4 osgSim::LightPoint::_color

## _intensity

float osgSim::LightPoint::_intensity

## _on

bool osgSim::LightPoint::_on

## _position

osg::Vec3 osgSim::LightPoint::_position

## _radius

float osgSim::LightPoint::_radius

## _sector

osg::ref_ptr<Sector> osgSim::LightPoint::_sector

The documentation for this class was generated from the following file:

- LightPoint